Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class Responsible

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.PersonType
          be.fgov.ehealth.aa.complextype.v1.Responsible

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:05:18+01:00",
               comments="JAXB RI v2.2.11")
    public class Responsible

extends PersonType
implements Serializable

Identity and function of responsible in ReMaPH.

Java class for ResponsibleType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponsibleType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}PersonType">
           <sequence>
             <element name="ResponsibleFunction" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Responsible()`

Method Summary
`String` | `getResponsibleFunction()` Gets the value of the responsibleFunction property.
`void` | `setResponsibleFunction(String value)` Sets the value of the responsibleFunction property.

Methods inherited from class be.fgov.ehealth.aa.complextype.v1.PersonType
`getFirstName, getInss, getLastName, setFirstName, setInss, setLastName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Responsible

    public Responsible()

Method Detail

### getResponsibleFunction

    public String getResponsibleFunction()

  Gets the value of the responsibleFunction property.

  Returns:
    possible object is `String`

### setResponsibleFunction

    public void setResponsibleFunction(String value)

  Sets the value of the responsibleFunction property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.